SDL_HasKeyboard(3)

NAME
SDL_HasKeyboard - Return whether a keyboard is currently connected.

SYNOPSIS
#include <SDL3/SDL_keyboard.h>

bool SDL_HasKeyboard(void);

RETURN VALUE
Returns true if a keyboard is connected, false otherwise.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetKeyboards(3)